Dist::Build::XS::Export(3pm)

NAME
Dist::Build::XS::Export - Dist::Build extension to export headers for other XS modules

VERSION
version 0.028

SYNOPSIS
 load_extension('Dist::Build::XS::Export');
 export_headers(
     module => 'Foo::Bar',
     dir    => 'include',
 );

DESCRIPTION
This "Dist::Build" extension will export headers for your module, so they can be used by other modules using "Dist::Build::Import".

METHODS

  export_headers
This copies the given header for the appropriate module to the approriate sharedir.

•   module

    The name of the module to export. This defaults to the main module.

•   dir

    The directory to export (e.g. 'include').

•   file

    A file (or a list of files) to export (e.g. 'foo.h').

At least one of "dir" and "file" must be defined. Note that this function can be called multiple times (e.g. for multiple modules).

  export_typemap
This exports the typemap of this module.

•   module

    The name of the module to export. This defaults to the main module.

•   filename

    The name of the typemap. This defaults to typemap.

  export_flags
This stores the given flags for the module in the appropriate sharedir. The module can be set using the "module" named argument but will default to the main module of the dist. The "include_dirs", "defines", "extra_compiler_flags", "libraries", "library_dirs", "extra_linker_flags" arguments are all stored as-is.

AUTHOR
Leon Timmermans <fawaka@gmail.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2024 by Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.